Subject: bug#76182: 31.0.50; minibuffer-allow-text-properties not reliable

From: Juri Linkov <[email-masked]>
Date: Wed, 12 Feb 2025 19:10:40 +0200

>> This reminds the recent discussion at
>> https://lists.gnu.org/archive/html/emacs-devel/2024-05/msg00819.html
>> that required documenting this limitation in the docstring of
>> 'imenu-flatten':
>>
>>   Since the values `annotation' and `group' rely on text properties,
>>   you can use them only by selecting candidates from the completions
>>   buffer, not by typing in the minibuffer.  This also means that
>>   if you use `minibuffer-next-completion' (`M-<down>') to select
>>   a completion while point stays in the minibuffer, you need
>>   to customize `minibuffer-completion-auto-choose' to nil that
>>   doesn't insert completion candidates to the minibuffer.
>
> If it is much too difficult to make it reliable in all cases, shouldn't
> this be called out in the docstring of minibuffer-allow-text-properties
> itself?

Agreed, the docstring of minibuffer-allow-text-properties
is the most suitable place to document this limitation.

Regarding to how difficult is to make it reliable,
a better question is whether it's possible at all.

How could you get text properties from the completion candidate,
when you type text in the minibuffer and don't use completion?